﻿@model LoyaltyPointEngine.Model.Object.CMSNavigation.RoleModel
@{
    List<LoyaltyPointEngine.Data.CMSNavigation> CMSNavigations = ViewBag.CMSNavigation;
    List<LoyaltyPointEngine.Data.CMSNavigationPrivilegeMapping> CMSNavigationPrevilages = ViewBag.CMSNavigationPrevilage;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Role</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Add Role</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Role.Add(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddRole" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <i class="fa fa-times-circle"></i>
                        Error occured:
                        <br />
                        @Html.ValidationSummary()
                    </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Role Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Level </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Level, new { @class = "form-control", @max = "40", @min = "10"})
                        </div>
                    </div>
                    <hr />
                    <h3>Navigation Role Access</h3>
                    <div class="form-group">
                        @if (CMSNavigations != null)
                        {
                            foreach (var CMSNavigation in CMSNavigations)
                            {
                                if (CMSNavigationPrevilages != null)
                                {
                                    var previlage = CMSNavigationPrevilages.Where(x => x.CMSNavigationID == CMSNavigation.ID).OrderBy(x => x.CMSPrivilegeID);
                                    if (previlage != null && previlage.Count() > 0)
                                    {
                                        <label class="col-md-3 control-label">@CMSNavigation.Name: </label>
                                        <div class="col-md-9">
                                            @foreach (var CMSNavigationPrevilage in previlage)
                                            {

                                                string check = "";
                                                if (Model.NavigationPrevilage != null && Model.NavigationPrevilage.Count() > 0)
                                                {
                                                    if (Model.NavigationPrevilage.Any(x => x == CMSNavigationPrevilage.ID))
                                                    {
                                                        check = "checked";
                                                    }
                                                }
                                    
                                                <label class="checkbox-inline">
                                                    <input type="checkbox" @check class="uniform" value="@CMSNavigationPrevilage.ID" name="NavigationPrevilage[]" />
                                                    @CMSNavigationPrevilage.CMSPrivilege.Name
                                                </label>
                                            }

                                        </div>
                                    }

                                }
                            }
                        }

                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>
        function CheckForCheckBox()
        {
            var checkboxes = document.querySelectorAll('input[type="checkbox"]');
            var checkedOne = Array.prototype.slice.call(checkboxes).some(x => x.checked);
            var response = (checkedOne) ? true : false;
            return response;
        }

        $(document).ready(function () {

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())
            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddRole").validate();

        });

        //$('#Level').on('change', function () {
        //    var level = $(this).val();
        //    if(level == '0')
        //    {
        //        alert("Please!");
        //    }
        //})

        var frm = $('#formAddRole');
        frm.submit(function (ev) {
            if(!CheckForCheckBox())
            {
                alert("Please choose at least one Role Access");
                ev.preventDefault();
            }
        });
    </script>
}